> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Supplier

> Edit a supplier

export const permission_0 = 'supplier:update'

<Info>Requires permission: **{permission_0}**</Info>


## OpenAPI

````yaml PATCH /v1/supplier/{uuid}
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/supplier/{uuid}:
    parameters:
      - in: path
        name: uuid
        required: true
        description: >-
          Supplier UUID. GET also accepts the supplier's syncId or internalId;
          PATCH and DELETE require the UUID.
        schema:
          type: string
    patch:
      summary: Edit a supplier
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - uuid
              allOf:
                - $ref: '#/components/schemas/NewSupplier'
      responses:
        '200':
          description: A supplier
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Supplier'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    NewSupplier:
      allOf:
        - $ref: '#/components/schemas/Company'
        - properties:
            name:
              type: string
              example: Supplier Name
            syncId:
              $ref: '#/components/schemas/SyncId'
    Supplier:
      allOf:
        - $ref: '#/components/schemas/NewSupplier'
        - properties:
            connected:
              type: boolean
              example: true
            image:
              type: string
              example: https://app.variable.global/uploads/image.jpg
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
    Company:
      type: object
      properties:
        uuid:
          $ref: '#/components/schemas/UUID'
        syncId:
          $ref: '#/components/schemas/SyncId'
        name:
          type: string
          example: Company Name
    SyncId:
      type: string
      description: >-
        An identifier to use when syncing data with other systems. [Read
        more](/docs/syncId)
      example: sync123
    UUID:
      type: string
      format: uuid
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````